Bug 1783709 - java.lang.SecurityException: Invalid signature file digest for Manifest main attributes after upgrade of ecj
Summary: java.lang.SecurityException: Invalid signature file digest for Manifest main ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ecj
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-14 20:03 UTC by Lukas Slebodnik
Modified: 2020-01-05 00:39 UTC (History)
5 users (show)

Fixed In Version: ecj-4.14-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-05 00:39:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Slebodnik 2019-12-14 20:03:00 UTC
Description of problem:
The recent upgrade of ecj caused failures when restarting pki-tomcat.service which is part of freeIPA


Version-Release number of selected component (if applicable):
ecj-4.14-1.fc31.noarch

How reproducible:
Deterministic

Steps to Reproduce:
# there is probably simpler reproducer
1. dnf install -y freeipa-server
2. # install freeIPA server e.g.
 /usr/sbin/ipa-server-install hostname.testrelm.test -r TESTRELM.TEST -n testrelm.test -p Secasd123 -a Secret123 
3. systemctl stop pki-tomcatd@pki-tomcat.service
4. systemctl start pki-tomcatd@pki-tomcat.service

Actual results:
sh# systemctl start pki-tomcatd@pki-tomcat.service
Job for pki-tomcatd@pki-tomcat.service failed because a timeout was exceeded.
See "systemctl status pki-tomcatd@pki-tomcat.service" and "journalctl -xe" for details.

Dec 14 14:54:42 host.testrelm.test systemd[1]: Starting PKI Tomcat Server pki-tomcat...
Dec 14 14:54:43 host.testrelm.test pki-server[36248]: ----------------------------
Dec 14 14:54:43 host.testrelm.test pki-server[36248]: pki-tomcat instance migrated
Dec 14 14:54:43 host.testrelm.test pki-server[36248]: ----------------------------
Dec 14 14:54:44 host.testrelm.test server[36429]: Java virtual machine used: /usr/lib/jvm/jre-1.8.0-openjdk/bin/java
Dec 14 14:54:44 host.testrelm.test server[36429]: classpath used: /usr/share/tomcat/bin/bootstrap.jar:/usr/share/tomcat/bin/tomcat-juli.jar:/usr/lib/java/commons-daemon.jar
Dec 14 14:54:44 host.testrelm.test server[36429]: main class used: org.apache.catalina.startup.Bootstrap
Dec 14 14:54:44 host.testrelm.test server[36429]: flags used:
Dec 14 14:54:44 host.testrelm.test server[36429]: options used: -Dcatalina.base=/var/lib/pki/pki-tomcat -Dcatalina.home=/usr/share/tomcat -Djava.endorsed.dirs= -Djava.io.tmpdir=/var/lib/pki/pki-tomcat/temp -Djava.util.logging.config.file=/var/lib/pki/pki-tomcat/conf/logging.properties -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager     -Djava.security.manager     -Djava.security.policy==/var/lib/pki/pki-tomcat/conf/catalina.policy
Dec 14 14:54:44 host.testrelm.test server[36429]: arguments used: start
Dec 14 14:54:44 host.testrelm.test ipa-pki-wait-running[36430]: ipa-pki-wait-running: Created connection http://intel-wildcatpass-05.testrelm.test:8080/ca
Dec 14 14:54:44 host.testrelm.test ipa-pki-wait-running[36430]: ipa-pki-wait-running: Connection failed: HTTPConnectionPool(host='intel-wildcatpass-05.testrelm.test', port=8080): Max retries exceeded with url: /ca/admin/ca/getStatus (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fa0648f2290>: Failed to establish a new connection: [Errno 111] Connection refused'))
Dec 14 14:54:45 host.testrelm.test server[36429]: SEVERE: Error deploying deployment descriptor [/etc/pki/pki-tomcat/Catalina/localhost/ROOT.xml]
Dec 14 14:54:45 host.testrelm.test server[36429]: java.lang.IllegalStateException: Error starting child
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:720)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.ContainerBase.access$000(ContainerBase.java:129)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.ContainerBase$PrivilegedAddChild.run(ContainerBase.java:150)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.ContainerBase$PrivilegedAddChild.run(ContainerBase.java:140)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.security.AccessController.doPrivileged(Native Method)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:688)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:705)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.HostConfig.deployDescriptor(HostConfig.java:631)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.HostConfig$DeployDescriptor.run(HostConfig.java:1831)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.util.concurrent.FutureTask.run(FutureTask.java:266)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.tomcat.util.threads.InlineExecutorService.execute(InlineExecutorService.java:75)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.util.concurrent.AbstractExecutorService.submit(AbstractExecutorService.java:112)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.HostConfig.deployDescriptors(HostConfig.java:526)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.HostConfig.deployApps(HostConfig.java:425)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.HostConfig.start(HostConfig.java:1576)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.HostConfig.lifecycleEvent(HostConfig.java:309)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:123)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.setStateInternal(LifecycleBase.java:423)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.setState(LifecycleBase.java:366)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.ContainerBase.startInternal(ContainerBase.java:936)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.StandardHost.startInternal(StandardHost.java:841)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:183)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1384)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1374)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.util.concurrent.FutureTask.run(FutureTask.java:266)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.tomcat.util.threads.InlineExecutorService.execute(InlineExecutorService.java:75)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.util.concurrent.AbstractExecutorService.submit(AbstractExecutorService.java:134)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.ContainerBase.startInternal(ContainerBase.java:909)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.StandardEngine.startInternal(StandardEngine.java:262)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:183)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.StandardService.startInternal(StandardService.java:421)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:183)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.StandardServer.startInternal(StandardServer.java:932)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:183)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.Catalina.start(Catalina.java:633)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.lang.reflect.Method.invoke(Method.java:498)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:344)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:475)
Dec 14 14:54:45 host.testrelm.test server[36429]: Caused by: org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[]]
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.handleSubClassException(LifecycleBase.java:440)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:198)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:717)
Dec 14 14:54:45 host.testrelm.test server[36429]:         ... 41 more
Dec 14 14:54:45 host.testrelm.test server[36429]: Caused by: java.lang.SecurityException: Invalid signature file digest for Manifest main attributes
Dec 14 14:54:45 host.testrelm.test server[36429]:         at sun.security.util.SignatureFileVerifier.processImpl(SignatureFileVerifier.java:330)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at sun.security.util.SignatureFileVerifier.process(SignatureFileVerifier.java:263)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.util.jar.JarVerifier.processEntry(JarVerifier.java:275)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.util.jar.JarVerifier.update(JarVerifier.java:230)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.util.jar.JarFile.initializeVerifier(JarFile.java:383)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at java.util.jar.JarFile.getInputStream(JarFile.java:450)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.tomcat.util.scan.JarFileUrlJar.getEntryInputStream(JarFileUrlJar.java:199)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.ContextConfig.processAnnotationsJar(ContextConfig.java:2063)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.ContextConfig.processAnnotationsUrl(ContextConfig.java:2034)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.ContextConfig.processAnnotations(ContextConfig.java:1987)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.ContextConfig.processClasses(ContextConfig.java:1243)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.ContextConfig.webConfig(ContextConfig.java:1142)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:774)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:301)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:123)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5051)
Dec 14 14:54:45 host.testrelm.test server[36429]:         at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:183)
Dec 14 14:54:45 host.testrelm.test server[36429]:         ... 42 more

//snip 
Dec 14 14:56:08 host.testrelm.test ipa-pki-wait-running[36430]: ipa-pki-wait-running: Request failed unexpectedly, 404 Client Error:  for url: http://intel-wildcatpass-05.testrelm.test:8080/ca/admin/ca/getStatus
Dec 14 14:56:09 host.testrelm.test ipa-pki-wait-running[36430]: ipa-pki-wait-running: Request failed unexpectedly, 404 Client Error:  for url: http://intel-wildcatpass-05.testrelm.test:8080/ca/admin/ca/getStatus
Dec 14 14:56:10 host.testrelm.test ipa-pki-wait-running[36430]: ipa-pki-wait-running: Request failed unexpectedly, 404 Client Error:  for url: http://intel-wildcatpass-05.testrelm.test:8080/ca/admin/ca/getStatus
Dec 14 14:56:11 host.testrelm.test ipa-pki-wait-running[36430]: ipa-pki-wait-running: Request failed unexpectedly, 404 Client Error:  for url: http://intel-wildcatpass-05.testrelm.test:8080/ca/admin/ca/getStatus
Dec 14 14:56:12 host.testrelm.test ipa-pki-wait-running[36430]: ipa-pki-wait-running: Request failed unexpectedly, 404 Client Error:  for url: http://intel-wildcatpass-05.testrelm.test:8080/ca/admin/ca/getStatus
Dec 14 14:56:13 host.testrelm.test ipa-pki-wait-running[36430]: ipa-pki-wait-running: Request failed unexpectedly, 404 Client Error:  for url: http://intel-wildcatpass-05.testrelm.test:8080/ca/admin/ca/getStatus
Dec 14 14:56:14 host.testrelm.test systemd[1]: pki-tomcatd@pki-tomcat.service: Start-post operation timed out. Stopping.
Dec 14 14:56:14 host.testrelm.test systemd[1]: pki-tomcatd@pki-tomcat.service: Control process exited, code=killed, status=15/TERM
Dec 14 14:56:14 host.testrelm.test systemd[1]: pki-tomcatd@pki-tomcat.service: Failed with result 'timeout'.
Dec 14 14:56:14 host.testrelm.test systemd[1]: Failed to start PKI Tomcat Server pki-tomcat.
Dec 14 14:56:14 host.testrelm.test systemd[1]: pki-tomcatd@pki-tomcat.service: Consumed 13.484s CPU time.


Expected results:
service restarted without any problem.

Additional info:

Comment 1 Mat Booth 2019-12-16 15:57:50 UTC
And the issue is fixed when you downgrade ecj?

Comment 2 Fedora Update System 2019-12-16 16:15:55 UTC
FEDORA-2019-7748ccb92b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7748ccb92b

Comment 3 Mat Booth 2019-12-16 16:16:29 UTC
(In reply to Fedora Update System from comment #2)
> FEDORA-2019-7748ccb92b has been submitted as an update to Fedora 31.
> https://bodhi.fedoraproject.org/updates/FEDORA-2019-7748ccb92b

Please try this new build.

Comment 4 Lukas Slebodnik 2019-12-16 16:36:08 UTC
(In reply to Mat Booth from comment #3)
> (In reply to Fedora Update System from comment #2)
> > FEDORA-2019-7748ccb92b has been submitted as an update to Fedora 31.
> > https://bodhi.fedoraproject.org/updates/FEDORA-2019-7748ccb92b
> 
> Please try this new build.

ecj-4.14-2.fc32 LGTM.

Thank you

Comment 5 Fedora Update System 2019-12-17 01:11:27 UTC
ecj-4.14-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7748ccb92b

Comment 6 Fedora Update System 2020-01-05 00:39:58 UTC
ecj-4.14-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.